查看: 704|回复: 6

OSG3.6.3 + VS2015 + Qt5.9.7 + osgQt 编译问题

[复制链接]

该用户从未签到

发表于 2019-7-11 11:01:19 | 显示全部楼层 |阅读模式
最近在研究osg嵌入qt,在cmake下配置完成后 ,生成sln工程,在编译osgQt的时候失败了,提示一大堆和opengl相关的东西,如图:

vs下错误提示:
TIM截图20190711110000.png
有木有哪位老铁也在弄这方面的东西呢,指点一下,不胜感激


TIM截图20190711105842.png

该用户从未签到

发表于 2019-7-18 16:49:47 | 显示全部楼层
加上预编译宏WIN32试试

该用户从未签到

发表于 2019-7-25 22:14:41 | 显示全部楼层
使用3.5.7的版本,就没这个问题了

该用户从未签到

发表于 2019-7-27 15:08:05 | 显示全部楼层
需要加上预编译头WIN32?

该用户从未签到

发表于 2019-7-29 14:14:47 | 显示全部楼层
你可以使用osgQt3.5.7的版本

该用户从未签到

发表于 2019-7-30 09:19:57 | 显示全部楼层
你好问题解决了吗?

该用户从未签到

发表于 2019-7-31 07:58:36 | 显示全部楼层
你好,请问解决了吗,我编译3.6.3也遇到这个问题了~
您需要登录后才可以回帖 登录 | 注册

本版积分规则

OSG中国官方论坛-有您OSG在中国才更好

网站简介:osgChina是国内首个三维相关技术开源社区,旨在为国内更多的技术开发人员提供最前沿的技术资讯,为更多的三维从业者提供一个学习、交流的技术平台。

联系我们

  • 工作时间:09:00--18:00
  • 反馈邮箱:1315785073@qq.com
快速回复 返回顶部 返回列表